GEOM_LINUX_LVM(4)

NAME
geom_linux_lvm - GEOM based Linux LVM logical volume mapping

SYNOPSIS
To compile this driver into the kernel, place the following line in your kernel configuration file:

options GEOM_LINUX_LVM

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    geom_linux_lvm_load="YES"

DESCRIPTION
The geom_linux_lvm framework provides support for mapping Linux LVM volumes to GEOM providers. geom_linux_lvm currently supports linear stripes with segments on one or more physical disks. The parser is able to read LVM2 Text Format metadata, the logical volumes will be assembled and made available under /dev/linux_lvm/. The metadata is read-only, logical volumes cannot be allocated or resized.

EXAMPLES
To view which geom_linux_lvm devices are available:

    # geom linux_lvm list
    Geom name: vg1
    Providers:
    1. Name: linux_lvm/vg1-home
       Mediasize: 4294967296 (4.0G)
       Sectorsize: 512
       Mode: r0w0e0
    2. Name: linux_lvm/vg1-logs
       Mediasize: 4294967296 (4.0G)
       Sectorsize: 512
       Mode: r0w0e0
    Consumers:
    1. Name: ad0s1
       Mediasize: 80023716864 (75G)
       Sectorsize: 512
       Mode: r0w0e0

SEE ALSO
GEOM(4), geom(8)

AUTHORS
-nosplit The geom_linux_lvm driver was written by Andrew Thompson <thompsa@FreeBSD.org>.